# Users who liked a Post or Reply

## Get users who liked post or reply

<mark style="color:blue;">`GET`</mark> `https://api.whisk.com/v2/reaction/users`

Method allows to get user list who liked reply or post.&#x20;

#### Headers

| Name                                            | Type   | Description                                                                            |
| ----------------------------------------------- | ------ | -------------------------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | User Access token to authorize the API usage. For more information, see Authentication |

#### Request Body

| Name                                     | Type   | Description                                         |
| ---------------------------------------- | ------ | --------------------------------------------------- |
| reply                                    | String | If object is a reply                                |
| target<mark style="color:red;">\*</mark> | Object | An object for like attribute                        |
| post                                     | String | If object is a post                                 |
| paging                                   | Object | Pagination object                                   |
| limit                                    | Int    | Number of results to get on a page                  |
| cursors                                  | Object | Cursors object                                      |
| before                                   | String | This parameter is used for cursor-based pagination. |
| after                                    | String | This parameter is used for cursor-based pagination. |

{% tabs %}
{% tab title="200: OK Successful response" %}

```json
{
  "users": [
    {
      "id": "string",
      "first_name": "string",
      "last_name": "string",
      "username": "string",
      "picture": {
        "url": "string",
        "width": 0,
        "height": 0,
        "selection": {
          "x": 0,
          "y": 0,
          "width": 0,
          "height": 0
        }
      },
      "relation": {
        "is_following": true,
        "is_followed_by": true,
        "is_me": true
      }
    }
  ],
  "paging": {
    "cursors": {
      "after": "string",
      "before": "string"
    },
    "total": "string"
  }
}
```

{% endtab %}

{% tab title="401: Unauthorized This failed response appears due to API authentication failure. The possible error codes that may appear are: auth.tokenNotFound, auth.tokenExpired, auth.tokenInvalid, auth.tokenRequired." %}

```json
{
  "code": "auth.tokenNotFound"
}
```

{% endtab %}

{% tab title="500: Internal Server Error This failed response appears when something is not right on Whisk's end. Please send a message to <help@whisk.com>, and be sure to include both the Request and Response data. We’ll get back to you soon." %}

```
This is unexpected response, something is wrong on our side, please contact: help@whisk.com
```

{% endtab %}
{% endtabs %}

### Request body

```json
{
  "target": {
    "reply": "string",
    "post": "string"
  },
  "paging": {
    "limit": 0,
    "cursors": {
      "after": "string",
      "before": "string"
    }
  }
}
```

### Sample request and response

{% tabs %}
{% tab title="Request" %}

{% endtab %}

{% tab title="Response" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/api/posts-and-reviews/users-who-liked-a-post-or-reply.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
